void drawStillFrame() {
  for (int i = 0; i < 7; i++) {
    // for the inner pinwheel shape
    PVector p1 = PVector.lerp(Points[i], Points[(i+1)%7], 0.1);
    PVector p2 = PVector.lerp(Points[i], Points[(i+1)%7], 0.1 + ratio[i]);
    PVector p3 = PVector.lerp(Points[i], Points[(i+2)%7], 0.5);
    //println(p1);
    //beginShape(LINES);
    beginShape(TRIANGLES);
    //beginShape();
    vertex(0, 0, 200); 
    strokeWeight(3);
    stroke(colors[i], 20);
    //bezierVertex(p1.x, p1.y, p1.z, p2.x, p2.y, p2.z);
    //bezierVertex(p1.x, p1.y, p1.z, p3.x, p3.y, p3.z);
    strokeWeight(3);
    fill(colors[i]);
    if (showTheCate[i]) {
      stroke(colors[i], 200);
    } else {
      stroke(colors[i], 20);
    }
    //vertex(p1.x, p1.y, p1.z);
    vertex(p2.x, p2.y, p2.z);
    vertex(p3.x, p3.y, p3.z);
   
    endShape();

    fill(colors[9]);
    // count label
    pushMatrix();
    translate(p2.x, p2.y, p2.z);
    rotateZ((2*i+1)*PI/7+PI);
    textAlign(RIGHT, TOP);
    textFont(fonts[0], 20);
    //textSize(20);
    text(str(seven1[i]) + " [24h]" , -50, -200, 50);     //some work can be done for these two 
    popMatrix();

    pushMatrix();
    translate(p1.x, p1.y, p1.z);
    rotateZ((2*i+1)*PI/7+PI);
    textAlign(RIGHT, BOTTOM);
    text(str(seven2[i]) + " [3 month]", -5, 0, 50);
    popMatrix();
  }
  
  //the seven out bigger triangles
  //beginShape(LINES);
  beginShape();
  for (int i = 0; i< 7; i++) {
   PVector p1 = PVector.lerp(Points[i], Points[(i+1)%7], 0.1);
   PVector p2 = PVector.lerp(Points[i], Points[(i+1)%7], 0.9);
   
   //println(p1);
   strokeWeight(3);
   if (showTheCate[i]) {
     stroke(colors[i], 255);
   } else {
     stroke(colors[i], 20);
   }
   noFill();
   vertex(0,0,0);
   //vertex(p1.x*2, p1.y*2, p1.z*2);
   vertex(p2.x*2, p2.y*2, p2.z*2);
   vertex(p1.x*2, p1.y*2, p1.z*2);
  }
  vertex(0, 0, 0);
  endShape();
  
  //print the seven cate in words (keep still)
  for (int i = 0; i< 7; i++) {
    PVector p3 = PVector.lerp(Points[i], Points[(i+1)%7], 0.5);
    pushMatrix();
    translate(p3.x*1.5, p3.y*1.5, p3.z);
    rotate((i+0.5)*2*PI/7+PI/2);
    fill(colors[9], 200);
    textAlign(CENTER, BOTTOM);
    textFont(fonts[0], 48);
    text(sevenCate[i], 0, 0, 50);
    popMatrix();
  }
}